Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.types
Interface ExtendedType

All Known Implementing Classes:
  AbstractType, BigDecimalType, BigIntegerType, BooleanType, ByteArrayType, ByteType, CalendarType, CharType, DateType, DefaultType, DoubleType, EnumType, ExtendedEnumType, FloatType, IntegerType, LongType, ObjectType, OracleUtilDateType, ShortType, TimestampType, TimeType, UtilDateType, UUIDType

    public interface ExtendedType

Defines methods to read Java objects from JDBC ResultSets and write as parameters of PreparedStatements.

Method Summary
`String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
`Object` | `materializeObject(CallableStatement rs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
`Object` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
`void` | `setJdbcObject(PreparedStatement statement, Object value, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.
`boolean` | `validateProperty(Object source, String property, Object value, DbAttribute dbAttribute, ValidationResult validationResult)` Deprecated. since 3.0 as validation should not be done at the DataNode level.

Method Detail

### getClassName

    String getClassName()

  Returns a full name of Java class that this ExtendedType supports.

### validateProperty

    boolean validateProperty(Object source,
                             String property,
                             Object value,
                             DbAttribute dbAttribute,
                             ValidationResult validationResult)

  Deprecated. since 3.0 as validation should not be done at the DataNode level.

  Performs validation of an object property. Property is considered valid if this it satisfies the database constraints known to this ExtendedType. In case of validation failure, failures are appended to the ValidationResult object and `false` is returned.

  Since:
    1.1

### setJdbcObject

    void setJdbcObject(PreparedStatement statement,
                       Object value,
                       int pos,
                       int type,
                       int scale)
                       throws Exception

  Initializes a single parameter of a PreparedStatement with object value.

  Throws:
    `Exception`

### materializeObject

    Object materializeObject(ResultSet rs,
                             int index,
                             int type)
                             throws Exception

  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.

  Throws:
    `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

### materializeObject

    Object materializeObject(CallableStatement rs,
                             int index,
                             int type)
                             throws Exception

  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.

  Throws:
    `Exception` - if read error ocurred, or an object can't be converted to a target Java class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.